
QGIS Application - Bug report #155

Attribute Table crashes when click start digitizing button on PostGIS Layer

2006-06-20 06:15 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10214

Description

The attribute table disappears and it is not possible to recover the attribute table after a click on the start digitizing button. I find out this

behavior at the HEAD version. QGIS Windows 8.5.06 works fine.

History

#1 - 2006-06-21 10:46 AM - Marco Hugentobler

Unfortunately, this also works in my computing environment. Does the database report anything unusual when clicking the 'start editing' button or when you

try to recover the attribute table? 

One possibility for me to test would be that you set up a little testdatabase and give me remote access (if your firewall allows this).

Marco

#2 - 2006-06-22 01:58 AM - Redmine Admin

This seems to be a harder problem. 

It depends on the platform/system I start QGIS. From a native KDE environment it works Under Windows with X-Server (eXcursion) it works, but not very

stable. Starting QGIS from Tarantella secure network, our migration platform, it doesn't work. Perhaps it's a Tarantella problem???? I'm at a loss with it.

Horst

#3 - 2006-06-22 03:48 AM - anonymous -

OK. I made some tests and it looks like a GNOME problem. Our Tarantelle secure network based on GNOME. When I start QGIS from GNOME Desktop

the attribute table crashes. Starting QGIS from KDE everything works fine but the terminal reports the following warnings:

Warning: X Error: [[BadWindow]] (invalid Window parameter) 3

  Major opcode: 20 (X_GetProperty)

  Resource id:  0x1400336

Warning: X Error: [[BadWindow]] (invalid Window parameter) 3

  Major opcode: 15 (X_QueryTree)

  Resource id:  0x1400336

Warning: X Error: [[BadWindow]] (invalid Window parameter) 3

  Major opcode: 40 (X_TranslateCoords)

  Resource id:  0x1400336

What can we do?????
Horst

#4 - 2006-06-29 07:21 AM - Redmine Admin

Good news and bad news. 

Good: I just made an upgrade QT-4.1.2 to QT-4.1.3 and now start digitzing doesn't lead to a crash of the attribute table in our trantella/GNOME gdm

environment.

Bad: Prior I upgraded to QT-4.1.4, start digitizing works too, but QGIS crashed when I tried to zoom. This happens with Shape, GRASS and [[PostGIS]]

polygon layers.

#5 - 2006-06-30 07:38 AM - Marco Hugentobler

Hm, this tarantella environment seems to be strange. Do you have a backtrace so we can see where the crash exactly happens?

Marco

#6 - 2006-06-30 07:52 AM - Marco Hugentobler

After trying out 4.1.4 myself i also observe such crashes (under KDE). The backtrace is not very usefull as i didn't compile qt with -g. But for me it seems

that this is a problem inside the qt library and not related to the qgis code.

Program received signal SIGSEGV, Segmentation fault.

[Switching to Thread -1255425536 (LWP 4237)]

0xb75caaac in ?? () from /home/humarco/src/qt-x11-opensource-src-4.1.4/lib/libQtGui.so.4

(gdb) bt

#0  0xb75caaac in ?? () from /home/humarco/src/qt-x11-opensource-src-4.1.4/lib/libQtGui.so.4

#3905  0x00000000 in ?? ()

#7 - 2006-10-16 11:54 PM - Marco Hugentobler

Qt4.2 seems to work fine for me. Could you try if such crashes happen for you with 4.2?

#8 - 2006-11-10 09:10 AM - Redmine Admin

This bug seems to be fixed since a longer time. I advise to close this ticket.

#9 - 2006-11-10 09:16 AM - Gary Sherman

- Status changed from Open to Closed

- Resolution set to fixed

#10 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
